{% load_banners position: position, limit: 1 %}

{% if loaded_banners.size > 0 %}
  {% for banner in loaded_banners %}
    {% if banner.file_url != blank %}
      {% comment %} Config {% endcomment %}
      {% assign external = '' %}
      {% assign button_text = '' %}
      {% assign text_position = 'center' %}

      {% if banner.subtitle contains '|' %}
        {% assign button_text = banner.subtitle | split: '|' | first %}
        {% assign text_position = banner.subtitle | split: '|' | last %}
      {% endif %}

      {% if banner.external %}
        {% assign external = "target='_blank'" %}
      {% endif %}

      <section class="section-banner-horizontal section container {% if background %} -background {% endif %}">
        {% capture data_srcset %}
          {{ banner.file_url | resize: '360x' }} 360w,
          {{ banner.file_url | resize: '412x' }} 412w,
          {{ banner.file_url | resize: '680x' }} 680w,
          {{ banner.file_url | resize: '920x' }} 991w,
          {{ banner.file_url | resize: '1180x' }} 1280w,
          {{ banner.file_url | resize: '1280x' }} 1368w,
          {{ banner.file_url | resize: '1440x' }} 1920w,
          {{ banner.file_url }} 1921w
        {% endcapture %}
        
        {% capture data_sizes %}
          (max-width: 360px) 360px,
          (max-width: 412px) 412px,
          (max-width: 680px) 680px,
          (max-width: 991px) 991px,
          (max-width: 1280px) 1280px,
          (max-width: 1368px) 1368px,
          (max-width: 1920px) 1920px,
          (min-width: 1921px) 1921px
        {% endcapture %}

        <figure class="image {{ type }}">
          <img class="lazy" loading="lazy" data-srcset="{{ data_srcset | strip_newlines | strip }}" sizes="{{ data_sizes | strip_newlines | strip }}" alt="{{ banner.title }}" />
          <div class="overlay"></div>
        </figure>

        {% if banner.url != blank %}
          <a href="{{ banner.url }}" {{ external }} class="text" {% if banner.color != blank %} style="--color: {{ banner.color }}" {% endif %}>
        {% else %}
          <div class="text" {% if banner.color != blank %} style="--color: {{ banner.color }}" {% endif %}>
        {% endif %}

          <div class="container {{ text_position }}">
            <div class="content">
              {% if banner.description != blank %}
                {{ banner.description | replate: '<h1', '<h1 class="title"' | replace: '<h2', '<h2 class="title"' | replace: '<h3', '<h3 class="upper-title"' | replace: '<p', '<p class="description"' }}
              {% endif %}

              {% if banner.url != blank and button_text != blank %}
                <button type="button" class="button-default -outlined">
                  {{ button_text }}
                </button>
              {% endif %}
            </div>
          </div>

        {% if banner.url != blank %}
          </a>
        {% else %}
          </div>
        {% endif %}
      
      </section>
    {% endif %}
  {% endfor %}
{% endif %}
